You signed in with another tab or window. Reload to refresh your session.You signed out in another tab or window. Reload to refresh your session.You switched accounts on another tab or window. Reload to refresh your session.Dismiss alert
{{ message }}
Repository navigation
quickstart guide confused on how GET:/systems works? #124
https://spacetraders.io/game-concepts/systems-waypoints says that "You can view a list of all systems in the universe by calling the following endpoint:" and has an interactive endpoint caller suggesting curl --request \ --url 'https://api.spacetraders.io/v2/systems'. GET:/systems, however, is a paginated endpoint, which means that in order to get all the systems you would have to call that endpoint ~352 times.
changed the title [-]quickstart guide confused on how GET:/systems works?[/-][+]quickstart guide confused on how `GET:/systems` works?[/+]on Sep 7, 2026
Activity
[-]quickstart guide confused on how GET:/systems works?[/-][+]quickstart guide confused on how `GET:/systems` works?[/+]treeplate commentedon Sep 7, 2026
(which would take ~3 minutes because of rate limits)
treeplate commentedon Sep 10, 2026
i guess this is intentional? still, that's not very clear in the quickstart guide